Method: customBiddingAlgorithms.scripts.get

  • A GET request to https://displayvideo.googleapis.com/v4/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts/{customBiddingScriptId} is used to retrieve a specific custom bidding script.

  • The request requires customBiddingAlgorithmId and customBiddingScriptId as path parameters.

  • The request requires either a partnerId or an advertiserId as a query parameter within the accessor union parameter.

  • The request body must be empty, and a successful response will contain an instance of CustomBiddingScript.

  • The request requires the https://www.googleapis.com/auth/display-video authorization scope.

Gets a custom bidding script.

HTTP request

GET https://displayvideo.googleapis.com/v4/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts/{customBiddingScriptId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customBiddingAlgorithmId

string (int64 format)

Required. The ID of the custom bidding algorithm owns the script.

customBiddingScriptId

string (int64 format)

Required. The ID of the custom bidding script to fetch.

Query parameters

Parameters
Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent custom bidding algorithm.

Only this partner will have write access to this custom bidding script.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent custom bidding algorithm.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CustomBiddingScript.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.